Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.parser
Class URLString

    java.lang.Object
      org.apache.jmeter.protocol.http.parser.URLString

All Implemented Interfaces:
  Comparable

public class URLString
extends Object
implements Comparable

Helper class to allow URLs to be stored in Collections without incurring the cost of the hostname lookup performed by the URL methods equals() and hashCode() URL is a final class, so cannot be extended ...

Version:
  $Revision: 768439 $

Constructor Summary
`URLString(String s)`
`URLString(URL u)`

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object o)`
`URL` | `getURL()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLString

    public URLString(URL u)

### URLString

    public URLString(String s)

Method Detail

### toString

    public String toString()

### getURL

    public URL getURL()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.